Imports System.Xml
Imports System.Net.Security
Imports System.IO
Imports System.Security.Cryptography.X509Certificates
Imports System.Net

Module EnviarPeticioPCIAppSincron

    Sub Main()

        'Carreguem el p12 per realitzar signatura + timestamp de la petici
        Dim proxyClient As New proxyClientWS(Properties.cert_keystore, Properties.pass_keystore, Properties.environment_pre, Properties.cluster_app, Properties.service_sincron)

        'Carreguem Petici
        Dim peticio As String

        'Document xml on est la petici
        Dim xmlDoc As New XmlDocument
        xmlDoc.PreserveWhitespace = True
        xmlDoc.Load(Properties.doc_enotum)

        peticio = xmlDoc.DocumentElement.OuterXml

        'Reemplacem XXXXXXXXXX del id de la petici per l'id nic del temps actual
        peticio = RPlace(peticio)

        'Mostrem per pantalla la petici
        Console.WriteLine(peticio)

        'Invoquem al mtode procesa
        Dim response As String
        response = proxyClient.procesa(peticio)

        'Mostrem la resposta
        Console.WriteLine(response.ToString)
        Console.Read()

    End Sub

    Function RPlace(ByVal peticio As String)
        peticio = Replace(peticio, "XXXXXXXXXX", (DateTime.Now - New DateTime(1970, 1, 1)).TotalMilliseconds.ToString())

        Return peticio
    End Function

End Module
